<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

if (stristr(htmlentities($_SERVER['PHP_SELF']), "path.php")) {
	die("<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Error:</b> This file cannot be opened directly!</td></tr></table>");
}

global $pathtext;

$checkid = @intval($_GET['id']);
$checkop = @inCode($_GET['op']);

switch ($checkop) {
	case "viewThread":
		$row = $dblink->get_row("SELECT forum,name FROM memht_forum_posts WHERE id=$checkid");
		$ttitle = "<a href='index.php?page=forum&op=viewThread&id=$checkid&title=".mem_urlencode(outCode($row['name'],0))."' title=\"".outCode($row['name'],0)."\">".outCode($row['name'],0)."</a>";
		$checkid = intval($row['forum']);
	case "viewForum":
		$row = $dblink->get_row("SELECT parent,category,name FROM memht_forum_forums WHERE id=$checkid");
		$ftitle = "<a href='index.php?page=forum&op=viewForum&id=$checkid&title=".mem_urlencode(outCode($row['name'],0))."' title=\"".outCode($row['name'],0)."\">".outCode($row['name'],0)."</a>";
		$parent = intval($row['parent']);
		$checkid = intval($row['category']);
		if ($parent>0) {
			$row = $dblink->get_row("SELECT name FROM memht_forum_forums WHERE id=$parent");
			$ptitle = "<a href='index.php?page=forum&op=viewForum&id=$checkid&title=".mem_urlencode(outCode($row['name'],0))."' title=\"".outCode($row['name'],0)."\">".outCode($row['name'],0)."</a>";
		}
	case "viewCategory":
		$row = $dblink->get_row("SELECT id,name FROM memht_forum_categories WHERE id=$checkid");
		$catid = intval($row['id']);
		$ctitle = "<a href='index.php?page=forum&op=viewCategory&id=$catid&title=".mem_urlencode(outCode($row['name'],0))."' title=\"".outCode($row['name'],0)."\">".outCode($row['name'],0)."</a>";
	break;
}
if (!empty($ctitle)) { $pathtext .= " > $ctitle"; }
if (!empty($ptitle)) { $pathtext .= " > $ptitle"; }
if (!empty($ftitle)) { $pathtext .= " > $ftitle"; }
if (!empty($ttitle)) { $pathtext .= " > $ttitle"; }

?>